<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctCancFaturaContratoApu {
    
    const NOME = "FCT_CANC_FATURA_CONTRATO_APU";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure FCT_CANC_FATURA_CONTRATO_APU
     * 
     * @param integer $nrorg
     * @param integer $nrseqcontrato
     * @param integer $nrvencprevcont
     * @param integer $nrapuracao
     */
    public function executar($nrorg, $nrseqcontrato, $nrvencprevcont, $nrapuracao) {
        $procedure = new StoredProcedure($this->connection, self::NOME);
        
        $procedure->addParam(new Param("P_NRORG",           Param::PARAM_INPUT,  $nrorg,           Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRSEQCONTRATO",   Param::PARAM_INPUT,  $nrseqcontrato,   Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRVENCPREVCONT",  Param::PARAM_INPUT,  $nrvencprevcont,  Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRAPURACAO",      Param::PARAM_INPUT,  $nrapuracao,      Param::PARAM_TYPE_INT));
        
        $procedure->execute();
    }
    
}

?>
