/* Sistemas Integrados TECNISA

Nome: 0026_GERTRG_DTULTATU_PRATO.SQL

Descrio:
Trigger para atualizao do campo DTULTATUPRAT da tabela PRATO.

Criao:
16/03/2001 Raphael Freitas
*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRATO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
  DROP TRIGGER DTULTATU_PRATO
  GO

CREATE TRIGGER DTULTATU_PRATO
ON PRATO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRATO', 'CDPRATO=' + CDPRATO+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRATO
      SET DTULTATUPRAT = GETDATE()
      FROM INSERTED
      WHERE ISNULL(PRATO.CDPRATO,'') = ISNULL(INSERTED.CDPRATO,'') AND
           ISNULL(PRATO.CDFILAUXPRAT,'') = ISNULL(INSERTED.CDFILAUXPRAT,'');
   END;
END;
GO

